Skip to main content
GET
/
cart
/
totals
Error
A valid request URL is required to generate request examples
{
  "subtotal": "116.00",
  "subtotal_tax": "11.60",
  "shipping_total": "10.00",
  "shipping_tax": "1.00",
  "shipping_taxes": [
    1
  ],
  "discount_total": "23.20",
  "discount_tax": "0.00",
  "cart_contents_total": "92.80",
  "cart_contents_tax": "11.10",
  "cart_contents_taxes": [
    11.1
  ],
  "fee_total": "5.00",
  "fee_tax": "0.50",
  "fee_taxes": [
    0.5
  ],
  "total": "119.40",
  "total_tax": "13.60"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cocartapi.com/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint will be deprecated in the future. Recommend getting the totals from the main cart endpoint.

Query Parameters

html
boolean
default:false

Returns the totals pre-formatted.

Response

Cart totals retrieved successfully.

subtotal
string

Cart subtotal.

subtotal_tax
string

Cart subtotal tax.

shipping_total
string

Shipping total.

shipping_tax
string

Shipping tax.

shipping_taxes
number[]
discount_total
string

Discount total.

discount_tax
string

Discount tax.

cart_contents_total
string

Cart contents total.

cart_contents_tax
string

Cart contents tax.

cart_contents_taxes
number[]
fee_total
string

Fee total.

fee_tax
string

Fee tax.

fee_taxes
number[]
total
string

Cart total.

total_tax
string

Total tax.